Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007552TestLinkAPI - XMLRPCpublic2016-05-18 12:072016-09-08 15:12
Reporterwieloch 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007552: getTestCasesForTestPlan parameter 'getstepsinfo' doesn't work
DescriptionA call of getTestCasesForTestPlan with parameter 'getstepsinfo' is set to true returns no steps. In version 1.9.3 this parameter works fine.
Reason: the parameter getstepsinfo is not usable with newer db function getLTCVNewGeneration.

Solution of the problem:
change last lines of function getTestCasesForTestPlan from:
--------------------------------------
    $recordset = $this->tplanMgr->getLTCVNewGeneration($tplanid,$filters,$options);
    return $recordset;
--------------------------------------
to
--------------------------------------
    $recordset = $this->tplanMgr->getLTCVNewGeneration($tplanid,$filters,$options);

    // Multiple Test Case Steps Feature
    if( !is_null($recordset) && $options['steps_info'])
    {
        $itemSet = array_keys($recordset);
        switch($options['output'])
        {
            case 'mapOfArray':
            case 'mapOfMap':
                foreach($itemSet as $itemKey)
                {
                    $keySet = array_keys($recordset[$itemKey]);
                    $target = &$recordset[$itemKey];
                    foreach($keySet as $accessKey)
                    {
                        $step_set = $this->tcaseMgr->get_steps($target[$accessKey]['tcversion_id']);
                        $target[$accessKey]['steps'] = $step_set;
                    }
                }
                break;
            case 'array':
            case 'map':
            default:
                foreach($itemSet as $accessKey)
                {
                    $step_set = $this->tcaseMgr->get_steps($recordset[$accessKey]['tcversion_id']);
                    $recordset[$accessKey]['steps'] = $step_set;
                }
                break;
        }
    }
    return $recordset;
--------------------------------------
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024852)
fman (administrator)
2016-05-18 13:15

Thanks.
Need to check if this has been solved on latest dev code => github
(0025100)
marv (reporter)
2016-07-25 14:15

This fix works and is present in the latest dev code.
I think the ticket can be marked as resolved and added to the availables hot-fixes for 1.9.14.
(0025101)
fman (administrator)
2016-07-25 15:56

@marv
thanks for your help
(0025215)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-05-18 12:07 wieloch New Issue
2016-05-18 13:15 fman Note Added: 0024852
2016-07-25 14:15 marv Note Added: 0025100
2016-07-25 15:55 fman QA Team - Task Workflow Status => TBD
2016-07-25 15:55 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-07-25 15:56 fman Note Added: 0025101
2016-07-25 15:56 fman Relationship added child of 0007262
2016-07-25 15:56 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-07-25 15:56 fman Status new => resolved
2016-07-25 15:56 fman Resolution open => fixed
2016-07-25 15:56 fman Assigned To => fman
2016-09-08 15:12 fman Note Added: 0025215
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker